# filter

## Name

filter — A normal surface filter

## Synopsis

Content Model

    filter ::= (type-specific content)

The contents of a `filter` element depend upon the particular type of filter (such as combination filter or filter by basic properties). The specific content model for each filter type is documented on its own reference page; see below for details.

Attributes
Name | Type
`type` | CDATA
`typeid` | NUMBER (required)

## Description

A `filter` element represents a normal surface filter, used to filter desirable surfaces from a large list.

Different types of filter are available, and the precise `filter` content model differs between filter types. These type-specific content models are individually documented on the following reference pages.

- `filter` (combination)

- `filter` (properties)

### Parents

The following elements contain `filter`: `packet` (surface filter).

### Children

The elements occurring in `filter` depend upon the specific filter type; these are documented on separate reference pages for each filter type (see above).

## Attributes

`type`

  The filter type expressed as a human-readable string. Example types are `Combination filter` and `Filter by basic properties`.

`typeid`

  The filter type expressed as an internal identification code. This will be a non-negative integer.